%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         rainycape
%global repo            pool
# https://github.com/rainycape/pool
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          c850f092aad1780cbffff25f471c5cc32097932a
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global import_path_sec gopkgs.com/pool.v1

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        sync.Pool compatibility layer for for Go - falls back to a channel based pool in Go < 1.3 
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path_sec}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{import_path_sec}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path_sec}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path_sec}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}
%{gopath}/src/%{import_path_sec}

%changelog
* Mon Apr 27 2015 Graeme Gillies <ggillies@redhat.com> - 0-0.1.gitc850f09
- First package for Fedora


